<?php

function afficherOnglets() {
	include '../../script/config.php';
	include '../../script/test_connection_base.php';

$min = 999999999999999; // sortir la valeur min & max de $rang
$max = 0;
// LECTURE DE LA TABLE ONGLET ET RECUPERATION DES INFORMATIONS DANS $onglet[...] en fonction des droits du lecteur
if (!isset($_SESSION['droit_define1'])) $_SESSION['droit_define1'] = "";
switch ($_SESSION['droit_define1']) {
	// ADMIN
	case "admin":
	$req = "SELECT * FROM onglet WHERE etat = 'visible' ORDER BY rang";
	break;
	// PROF
	case "prof":
	$req = "SELECT * FROM onglet WHERE etat = 'visible' ORDER BY rang";
	break;
	// ELEVE
	case "eleve":
	$req = "SELECT * FROM onglet WHERE (droit = 'eleve' OR droit = 'public') AND etat = 'visible' ORDER BY rang";
	break;
	// PUBLIC
	default :
	$req = "SELECT * FROM onglet WHERE droit = 'public' AND etat = 'visible' ORDER BY rang";
	break;
}
if(!$result = $connexion->query($req)) die(mysqli_error());

$n = 0;
while ($onglet = $result->fetch()) { //PDO

// début de la boucle d'affichage
if ($min > $onglet['rang']){$min = $onglet['rang'];}
if ($max < $onglet['rang']){$max = $onglet['rang'];}
$liste_num['$n'] = $onglet['num'];
$liste_rang['$n'] = $onglet['rang'];
$n = $n+1;

if ($_SESSION['num_onglet'] == $onglet['num']) { //voir si onglet selectionné ou pas
?>
<li id="lis" style="background-color: <?php echo $onglet['couleur_fond'];?>;"
    onclick="change_onglet('page_reload.inc.php?num_onglet=<?php echo $onglet['num'];?>');">
    <a id="<?php echo $onglet['num'];?>" style="color:<?php echo $onglet['couleur_texte'];?>;">
        <?php echo htmlentities(stripslashes($onglet['petit_nom']), ENT_QUOTES, "UTF-8");?>
    </a>
</li>
<?php
}
else {
?>
<li id="lis1" style="background-color: <?php echo $onglet['couleur_fond'];?>;"
    onclick="change_onglet('page_reload.inc.php?num_onglet=<?php echo $onglet['num'];?>');">
    <a style="color:<?php echo $onglet['couleur_texte'];?>;">
        <?php echo htmlentities(stripslashes($onglet['petit_nom']), ENT_QUOTES, "UTF-8");?>
    </a>
</li>
<?php
}
} // fin de la boucle while
$result->closeCursor(); // Termine le traitement de la requête

} //fin fonction quel onglet


function afficherChapitres() {
	include '../../script/config.php';
	include '../../script/test_connection_base.php';

if (!isset($_SESSION['droit_define1'])) $_SESSION['droit_define1']="";
switch ($_SESSION['droit_define1']) {
	case "admin":// ADMIN
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' ORDER BY rang";
	break;
	case "prof":// PROF
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' ORDER BY rang";
	break;
	case "eleve":// ELEVE
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' AND (droit = 'eleve' OR droit = 'public') ORDER BY rang";
	break;
	default :// PUBLIC
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' AND droit = 'public' ORDER BY rang";
	break;
}
$result = $connexion->query($req) or die(mysqli_error());

$droit = $_SESSION['droit_define1'];
if (!isset($_SESSION['num_chapitre'])) $_SESSION['num_chapitre']="";



$comchap = 0;
while ($chapitre = $result->fetch()) { //PDO

// On teste la présence du fichier icone dans partage/icones
$filename = "../../partage/icones/".$chapitre['icone'];

if (file_exists($filename)) {
    $chapitre['icone'] = "../../partage/icones/".$chapitre['icone'];
}
else {
    $chapitre['icone'] = "./images/icone_default.png";
}

$comchap++;
if ($_SESSION['num_chapitre'] == $chapitre['num']) { //voir si chapitre selectionné ou pas
?>
<li id="lis">
    <a onClick="change_ressource(<?php echo $chapitre['num'].",".$comchap; ?>)">
        <div id="cadre">
            <div class="chap_icone_left">
                <img src="<?php echo $chapitre['icone'];?>">
            </div>
            <div class="nom">
                <h3 style="color: <?php echo $chapitre['couleur_chapitre'];?>;">
                    <?php echo nl2br(htmlentities(stripslashes($chapitre['nom']), ENT_QUOTES, "UTF-8"));?>
                </h3>
            </div>
        </div>
    </a>
</li>
<?php
}
else
{
?>
<li id="lis1">
    <a onClick="change_ressource(<?php echo $chapitre['num'].",".$comchap; ?>)">
        <div id="cadre">
            <div class="chap_icone_left">
                <img src="<?php echo $chapitre['icone'];?>">
            </div>
            <div class="nom">
                <h3 style="color: <?php echo $chapitre['couleur_chapitre'];?>;">
                    <?php echo nl2br(htmlentities(stripslashes($chapitre['nom']), ENT_QUOTES, "UTF-8"));?>
                </h3>
            </div>
        </div>
    </a>
</li>
<?php }
} //fin boucle affichage
$result->closeCursor(); // Termine le traitement de la requête

} //fin fonction quel chapitre


function afficherRessources() {
	include '../../script/config.php';
	include '../../script/test_connection_base.php';

// LECTURE DE LA TABLE ressource ET RECUPERATION DES INFORMATIONS DANS $ressource[...] en fonction des droits du lecteur
if (!isset($_SESSION['droit_define1'])) $_SESSION['droit_define1']="";
switch ($_SESSION['droit_define1']) {
	case "admin":// ADMIN
	$req = "SELECT * FROM ressource WHERE num_chapitre='$_SESSION[num_chapitre]' ORDER BY rang";
	break;
	case "prof":// PROF
	$req = "SELECT * FROM ressource WHERE num_chapitre='$_SESSION[num_chapitre]' ORDER BY rang";
	break;
	case "eleve":// ELEVE
	$req = "SELECT * FROM ressource WHERE num_chapitre='$_SESSION[num_chapitre]' AND (droit = 'eleve' OR droit = 'public') ORDER BY rang";
	break;
	default :// PUBLIC
	$req = "SELECT * FROM ressource WHERE num_chapitre='$_SESSION[num_chapitre]' AND (droit = 'public') ORDER BY rang";
	break;
}
$result = $connexion->query($req) or die(mysqli_error());

$i = 0;
while ($ressource = $result->fetch()) { //PDO
if (empty($ressource['lien'])) $ressource['lien']='./index.php';

$ressource['nom'] = nl2br(htmlentities(stripslashes($ressource['nom']), ENT_QUOTES, "UTF-8"));
$ressource['sous_titre'] = nl2br(htmlentities(stripslashes($ressource['sous_titre']), ENT_QUOTES, "UTF-8"));

// On teste la présence du fichier icone dans partage/icones
$filename = "../../partage/icones/".$ressource['icone'];

if (file_exists($filename)) {
    $ressource['icone'] = "../../partage/icones/".$ressource['icone'];
}
else {
    $ressource['icone'] = "./images/icone_default.png";
}

?>
<li>
    <a target="_blank" href="<?php echo $ressource['lien'];?>">
        <div class="cadrer">
            <div class="icone_left"><img src="<?php echo $ressource['icone'];?>">
            </div>
            <div class="cadrer2">
                <div class="nom">
                    <h3 style="color:<?php echo $ressource['couleur_ressource'];?>"><?php echo $ressource['nom'];?></h3>
                </div>
                <div class="sous_titre">
                    <h4 style="color:<?php echo $ressource['couleur_soustitre'];?>">
                        <?php echo $ressource['sous_titre'];?></h4>
                </div>
            </div>
            <div class="icone_right1">
                <?php
    switch ($ressource['type']){
        case "exe":
            $image1 = "images/exe.png";
            break;
        case "cartable":
            $image1 = "images/fichier.png";
            break;
        case "web":
            $image1 = "images/web.png";
            break;
        default :
            $image1 = "images/fichier.png";  // image par défaut
            break;
    }

    switch ($ressource['droit']){
        case "prof":
            $image2 = "images/prof.png";
            $image2title = "La ressource [".$ressource['nom']."] est réservée aux professeurs";
            break;
        case "eleve":
            $image2 = "images/eleve.png";
            $image2title = "La ressource [".$ressource['nom']."] est réservée aux élèves inscrits";
            break;
        case "public":
            $image2 = "";
            $image2title = "";
            break;
        default :
            $image2 = "";  // image par défaut
            $image2title = "";
            break;
    }
?>
                <img src="<?php echo $image2;?>" title="<?php echo $image2title;?>">
            </div>
            <div class="icone_right2"><img src="<?php echo $image1;?>"></div>
        </div>
    </a>
</li>
<?php
} //fin boucle affichage ressource

$result->closeCursor(); // Termine le traitement de la requête

}//fin fonction quelle ressource
?>