<?php
error_reporting(0);

if(!session_id()) session_start(); // on démarre une session
require '../../script/config.php';
include '../../script/test_connection_base.php';
include '../../script/lecture_config.php';
include '../../script/date.php';

include 'functions.php';


$nom_fenetre = 'Site - '.$config['discipline'];

// GESTION du n° d'onglet
if (isset($_GET['num_onglet'])) $_SESSION['num_onglet'] = $_GET['num_onglet'];

if (!isset($_SESSION['num_onglet'])) {
	// recherche du n° du + petit n° d'onglet
	$min = 999999999999999;
		// LECTURE DE LA TABLE ONGLET ET RECUPERATION DES INFORMATIONS DANS $onglet[...] en fonction des droits du lecteur
	if (!isset($_SESSION['droit_define1'])) $_SESSION['droit_define1'] = "";
	switch ($_SESSION['droit_define1']) {
		case "admin":// ADMIN
		$req = "SELECT * FROM onglet WHERE etat = 'visible' ORDER BY rang";
		break;
		case "prof":// PROF
		$req = "SELECT * FROM onglet WHERE etat = 'visible' ORDER BY rang";
		break;
		case "eleve":// ELEVE
		$req = "SELECT * FROM onglet WHERE (droit = 'eleve' OR droit = 'public') AND etat = 'visible' ORDER BY rang";
		break;
		default :// PUBLIC
		$req = "SELECT * FROM onglet WHERE droit = 'public' AND etat = 'visible' ORDER BY rang";
		break;
	}
	$result = $connexion->query($req);

	while ($onglet = $result->fetch()) {

	// début de la boucle d'affichage
	if ($min > $onglet['rang']) $min = $onglet['rang'];
	}
	$result->closeCursor(); // Termine le traitement de la requête

	// recherche du n° du 1er onglet
	$req = "SELECT * FROM onglet WHERE rang = '$min'";
	$result = $connexion->query($req) or die ("PB de lecture de la table $onglet");
	$onglet = $result->fetch();
	$_SESSION['num_onglet'] = $onglet['num'];
}

// GESTION du n° de chapitre
if (isset($_GET['num_chapitre'])) $_SESSION['num_chapitre'] = $_GET['num_chapitre'];
else
{
$min = 999999999999999; // sortir la valeur min $rang_chap
	// LECTURE DE LA TABLE CHAPITRE ET RECUPERATION DES INFORMATIONS DANS $chapitre[...] pour trouver la valeur min
if (!isset($_SESSION['droit_define1'])) $_SESSION['droit_define1'] = "";
switch ($_SESSION['droit_define1']) {
	case "admin":// ADMIN
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' ORDER BY rang";
	break;
	case "prof":// PROF
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' ORDER BY rang";
	break;
	case "eleve":// ELEVE
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' AND (droit = 'eleve' OR droit = 'public') ORDER BY rang";
	break;
	default :// PUBLIC
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' AND droit = 'public' ORDER BY rang";
	break;
}
$result = $connexion->query($req) or die (mysqli_error());

$n = 0;
while ($chapitre = $result->fetch()) { //PDO

// début de la boucle d'affichage
if ($min > $chapitre['rang']) $min = $chapitre['rang'];
} // fin de la boucle while
$result->closeCursor(); // Termine le traitement de la requête

// recherche du n° du 1er chapitre de l'onglet
	$req = "SELECT * FROM chapitre WHERE rang = '$min'";
	$res = $connexion->query($req) or die ("PB de lecture de la table $chapitre");
	$chapitre = $res->fetch();//PDO
	$_SESSION['num_chapitre'] = $chapitre['num'];
}

// quel onglet est actif? pour les couleurs de fond
	$req = "SELECT * FROM onglet WHERE num = $_SESSION[num_onglet]";
	$res = $connexion->query($req) or header('Location: ../index.php');
	$onglet = $res->fetch();//PDO

	//Chargement du site
	include "page_home.inc.php";

?>