<?php
error_reporting(0);

if(!session_id()) session_start(); // on démarre une session
require '../../script/config.php';
include '../../script/test_connection_base.php';
include '../../script/lecture_config.php';
include '../../script/date.php';

include 'functions.php';


$nom_fenetre = 'Site - '.$config['discipline'];

// GESTION du n° d'onglet
if (isset($_GET['num_onglet'])) $_SESSION['num_onglet'] = $_GET['num_onglet'];

if (!isset($_SESSION['num_onglet'])) {
	// recherche du n° du + petit n° d'onglet
	$min = 999999999999999;
		// LECTURE DE LA TABLE ONGLET ET RECUPERATION DES INFORMATIONS DANS $onglet[...] en fonction des droits du lecteur
	if (!isset($_SESSION['droit_define1'])) $_SESSION['droit_define1'] = "";
	switch ($_SESSION['droit_define1']) {
		case "admin":// ADMIN
		$req = "SELECT * FROM onglet WHERE etat = 'visible' ORDER BY rang";
		break;
		case "prof":// PROF
		$req = "SELECT * FROM onglet WHERE etat = 'visible' ORDER BY rang";
		break;
		case "eleve":// ELEVE
		$req = "SELECT * FROM onglet WHERE (droit = 'eleve' OR droit = 'public') AND etat = 'visible' ORDER BY rang";
		break;
		default :// PUBLIC
		$req = "SELECT * FROM onglet WHERE droit = 'public' AND etat = 'visible' ORDER BY rang";
		break;
	}
	$result = $connexion->query($req);

	while ($onglet = $result->fetch()) {

	// début de la boucle d'affichage
	if ($min > $onglet['rang']) $min = $onglet['rang'];
	}
	$result->closeCursor(); // Termine le traitement de la requête

	// recherche du n° du 1er onglet
	$req = "SELECT * FROM onglet WHERE rang = '$min'";
	$result = $connexion->query($req) or die ("PB de lecture de la table $onglet");
	$onglet = $result->fetch();
	$_SESSION['num_onglet'] = $onglet['num'];
}

// GESTION du n° de chapitre
if (isset($_GET['num_chapitre'])) $_SESSION['num_chapitre'] = $_GET['num_chapitre'];
else
{
$min = 999999999999999; // sortir la valeur min $rang_chap
	// LECTURE DE LA TABLE CHAPITRE ET RECUPERATION DES INFORMATIONS DANS $chapitre[...] pour trouver la valeur min
if (!isset($_SESSION['droit_define1'])) $_SESSION['droit_define1'] = "";
switch ($_SESSION['droit_define1']) {
	case "admin":// ADMIN
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' ORDER BY rang";
	break;
	case "prof":// PROF
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' ORDER BY rang";
	break;
	case "eleve":// ELEVE
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' AND (droit = 'eleve' OR droit = 'public') ORDER BY rang";
	break;
	default :// PUBLIC
	$req = "SELECT * FROM chapitre WHERE num_onglet='$_SESSION[num_onglet]' AND droit = 'public' ORDER BY rang";
	break;
}
$result = $connexion->query($req) or die (mysqli_error());

$n = 0;
while ($chapitre = $result->fetch()) { //PDO

// début de la boucle d'affichage
if ($min > $chapitre['rang']) $min = $chapitre['rang'];
} // fin de la boucle while
$result->closeCursor(); // Termine le traitement de la requête

// recherche du n° du 1er chapitre de l'onglet
	$req = "SELECT * FROM chapitre WHERE rang = '$min'";
	$res = $connexion->query($req) or die ("PB de lecture de la table $chapitre");
	$chapitre = $res->fetch();//PDO
	$_SESSION['num_chapitre'] = $chapitre['num'];
}

// quel onglet est actif? pour les couleurs de fond
	$req = "SELECT * FROM onglet WHERE num = $_SESSION[num_onglet]";
	$res = $connexion->query($req) or header('Location: ../index.php');
	$onglet = $res->fetch();//PDO

?>

<!-- affichage des onglets...  -->
<nav id="onglet">
    <ul style="opacity: <?php echo $config['opacity'];?>;">
        <?php afficherOnglets($bdd); //appel fonction pour affichage des onglets suivant les droits ?>
    </ul>
</nav>

<div class="bandeau"
    style="background-color:<?php echo $onglet['couleur_fond'];?>; opacity:<?php echo $config['opacity'];?>;">
    <div id="onglet_nom">
        <p style="color:<?php echo $onglet['couleur_texte'];?>;">
            <?php echo htmlentities(stripslashes($onglet['nom']), ENT_QUOTES, "UTF-8");?></p>
    </div>
    <div id="onglet_slogan">
        <p style="color:<?php echo $onglet['couleur_texte'];?>;"><?php echo $onglet['slogan'];?></p>
    </div>
</div>

<div id="centre"
    style="background-color: <?php echo $onglet['couleur_fond'];?>; opacity: <?php echo $config['opacity'];?>;">
    <!-- colonne de gauche -->
    <div id="chapitre" style="background-color: <?php echo $onglet['couleur_fond'];?>;">
        <div class="connexion">
            <?php if (isset($_SESSION['password_define1'])) { ?>
            <!-- on affiche le nom de l'utilisateur -->
            <div class="pass_ok">
                <span class="icon" style="color: <?php echo $onglet['couleur_texte'];?>;"><i
                        class="fa fa-user"></i></span>
                <span
                    style="color: <?php echo $onglet['couleur_texte'];?>;"><?php echo $_SESSION['login_define1']." ";?></span>
            </div>

            <div class="pass_ok2">
                <?php	if (($_SESSION['droit_define1']=='admin') or ($_SESSION['droit_define1']=='prof')) { ?>
                <!-- si l'utilisateur a les droits admin ou prof on affiche l'accès à l'interface ADMIN -->
                <button type="button" class="btn btn-success btn-sm"
                    onclick="window.location.href='../../admin/admin.php'">
                    <span class="icon"><i class="fa fa-user-circle"></i></span>
                    <span>Administration</span>
                </button>
                <?php
            }
            ?>
                <button type="button" id="button_logout" class="btn btn-warning btn-sm">
                    <span class="icon"><i class="fas fa-sign-out-alt"></i></span>
                    <span>Déconnexion</span>
                </button>
            </div>
            <?php }
        else
        { ?>
            <div class="pass_ok2" id="afficher_connexion">
                <button type="button" class="btn btn-outline-dark btn-sm">
                    <span class="icon"><i class="fa fa-user"></i></span> Login</button>
            </div>

            <?php } ?>

            <div id="connexion"><?php include("connexion.php");?></div>
        </div>

        <div id="chapitre2">
            <ul id="chap"><?php afficherChapitres($bdd);?></ul>
        </div>
    </div>
    <!-- end colonne de gauche -->

    <div id="ressource">
        <ul id="ress"><?php afficherRessources($bdd);?></ul>
    </div>
</div>