<?php
if (!session_id()) session_start(); // on démarre une session
include '../../script/config.php';
include '../../script/test_connection_base.php';

//Vérification des paramètre de la requete
if (!is_numeric($_REQUEST['num_chapitre'])) die('Problème de sécurité');

// LECTURE DE LA TABLE ressource ET RECUPERATION DES INFORMATIONS DANS $ressource[...] en fonction des droits du lecteur
switch ($_SESSION['droit_define1']) {
	// ADMIN
	case "admin":
		$req = "SELECT * FROM ressource WHERE num_chapitre='$_REQUEST[num_chapitre]' order by rang";
		break;
	// PROF
	case "prof":
		$req = "SELECT * FROM ressource WHERE num_chapitre='$_REQUEST[num_chapitre]' order by rang";
		break;
	// ELEVE
	case "eleve":
		$req = "SELECT * FROM ressource WHERE num_chapitre='$_REQUEST[num_chapitre]' AND (droit = 'eleve' OR droit = 'public') order by rang";
		break;
	// PUBLIC
	default :
		$req = "SELECT * FROM ressource WHERE num_chapitre='$_REQUEST[num_chapitre]' AND droit = 'public' order by rang";
		break;
}

if(!$result=$connexion->query($req)) die(mysqli_error());

while ($ressource = $result->fetch()) { //PDO
if (empty($ressource['lien'])) $ressource['lien']='./index.php';

$ressource['nom'] = nl2br(htmlentities(stripslashes($ressource['nom']), ENT_QUOTES, "UTF-8"));
$ressource['sous_titre'] = nl2br(htmlentities(stripslashes($ressource['sous_titre']), ENT_QUOTES, "UTF-8"));

// On teste la présence du fichier icone dans partage/icones
$filename = "../../partage/icones/".$ressource['icone'];

if (file_exists($filename)) {
    $ressource['icone'] = "../../partage/icones/".$ressource['icone'];
}
else {
    $ressource['icone'] = "./images/icone_default.png";
}


?>
<li>
    <a target="_blank" href="<?php echo $ressource['lien'];?>">
        <div class="cadrer">
            <div class="icone_left"><img src="<?php echo $ressource['icone'];?>">
            </div>
            <div class="cadrer2">
                <div class="nom">
                    <h3 style="color:<?php echo $ressource['couleur_ressource'];?>"><?php echo $ressource['nom'];?></h3>
                </div>
                <div class="sous_titre">
                    <h4 style="color:<?php echo $ressource['couleur_soustitre'];?>">
                        <?php echo $ressource['sous_titre'];?></h4>
                </div>
            </div>
            <div class="icone_right1">
                <?php
    switch ($ressource['type']){
        case "exe":
            $image1 = "images/exe.png";
            break;
        case "cartable":
            $image1 = "images/fichier.png";
            break;
        case "web":
            $image1 = "images/web.png";
            break;
        default :
            $image1 = "images/fichier.png";  // image par défaut
            break;
    }

    switch ($ressource['droit']){
        case "prof":
            $image2 = "images/prof.png";
            $image2title = "La ressource [".$ressource['nom']."] est réservée aux professeurs";
            break;
        case "eleve":
            $image2 = "images/eleve.png";
            $image2title = "La ressource [".$ressource['nom']."] est réservée aux élèves inscrits";
            break;
        case "public":
            $image2 = "";
            $image2title = "";
            break;
        default :
            $image2 = "";  // image par défaut
            $image2title = "";
            break;
    }
?>
                <img src="<?php echo $image2;?>" title="<?php echo $image2title;?>">
            </div>
            <div class="icone_right2"><img src="<?php echo $image1;?>"></div>
        </div>
    </a>
</li>
<?php
} //fin boucle affichage ressource